Update Mid-call Action
curl --request PUT \
--url https://app.famulor.de/api/user/tools/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://app.famulor.de/api/user/tools/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/tools/{id}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/tools/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/tools/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Tool updated successfully",
"data": {
"id": 1,
"name": "send_notification",
"description": "Use this tool to send a notification to the customer. Call this when customer requests updates.",
"type": "http",
"endpoint": "https://api.yourcompany.com/notifications/send",
"method": "POST",
"body_format": "json",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"static_fields": [
{
"key": "caller",
"value": "{{customer_phone}}"
}
],
"schema": [
{
"name": "message",
"type": "string",
"description": "The notification message to send",
"required": true
},
{
"name": "send_sms",
"type": "boolean",
"description": "Whether to also send SMS notification",
"required": false
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T14:30:00.000000Z"
}
}
{
"message": "Tool not found"
}
{
"message": "Validation failed",
"errors": {
"name": ["Tool name must contain only letters, numbers and underscores, and start with a letter or underscore."]
}
}
Update Mid-call Action
Modify an existing Mid-call Action in Famulor via API. Update name, endpoint, parameters or description so AI voice agents call the right action.
PUT
/
api
/
user
/
tools
/
{id}
Update Mid-call Action
This endpoint allows you to update an existing Mid-call Action. All fields are optional — only provide the fields you want to update.
Path Parameters
integer
required
The unique identifier of the Mid-call Action to update
Body Parameters
For Mid-call Actions linked to an Automation Platform flow, theendpoint, method, and body_format fields are ignored to protect the flow connection.
string
Mid-call Action name — letters, numbers and underscores, starting with a letter or underscore (max 64 characters)
string
Detailed explanation of when and how the AI should use this Mid-call Action (max 255 characters)
string
Valid URL of the API endpoint to call (max 2048 characters)
string
HTTP method:
GET, POST, PUT, PATCH, or DELETEstring
Request body encoding for write methods:
json (default) or forminteger
Request timeout in seconds (1-30)
array
array
array
Parameters schema (replaces existing schema)
Response Fields
string
Success message
object
The updated Mid-call Action object with all current values
{
"message": "Tool updated successfully",
"data": {
"id": 1,
"name": "send_notification",
"description": "Use this tool to send a notification to the customer. Call this when customer requests updates.",
"type": "http",
"endpoint": "https://api.yourcompany.com/notifications/send",
"method": "POST",
"body_format": "json",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"static_fields": [
{
"key": "caller",
"value": "{{customer_phone}}"
}
],
"schema": [
{
"name": "message",
"type": "string",
"description": "The notification message to send",
"required": true
},
{
"name": "send_sms",
"type": "boolean",
"description": "Whether to also send SMS notification",
"required": false
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T14:30:00.000000Z"
}
}
{
"message": "Tool not found"
}
{
"message": "Validation failed",
"errors": {
"name": ["Tool name must contain only letters, numbers and underscores, and start with a letter or underscore."]
}
}
Managing Mid-call Action Assignments
To attach or detach this Mid-call Action from assistants, use the Assistant API:- Create Assistant — Use the
tool_idsparameter to attach Mid-call Actions when creating an assistant - Update Assistant — Use the
tool_idsparameter to manage which Mid-call Actions are assigned to an assistant
Need a whole toolset instead of building HTTP actions one by one? Connect an external MCP server — tools are discovered automatically. See MCP Servers.